/*
 * eos - A 3D Morphable Model fitting library written in modern C++11/14.
 *
 * File: include/eos/render/Rect.hpp
 *
 * Copyright 2017 Patrik Huber
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#pragma once

#ifndef RECT_HPP_
#define RECT_HPP_

namespace eos {
namespace render {

/**
 * @brief A simple type representing a rectangle.
 */
template<typename T>
struct Rect
{
	T x, y; // these are the top-left corner x and y
	T width, height;
};


} /* namespace render */
} /* namespace eos */

#endif /* RECT_HPP_ */
